<template>
	<div class="ext-codexexample-message-demo">
		<fieldset class="ext-codexexample-message-demo__type">
			<legend>{{ $i18n( 'codexexample-app-message-type-legend' ) }}</legend>
			<cdx-radio
				v-for="radio in radios"
				:key="radio"
				v-model="messageType"
				name="message-types"
				:input-value="radio"
			>
				{{ radio }}
			</cdx-radio>
		</fieldset>

		<cdx-toggle-switch v-model="switchValue" class="ext-codexexample-message-demo__layout">
			{{ $i18n( 'codexexample-app-message-layout-label' ) }}
		</cdx-toggle-switch>

		<cdx-message :type="messageType" :inline="switchValue">
			{{ $i18n( 'codexexample-app-message-text' ) }}
		</cdx-message>
	</div>
</template>

<script>
const { ref } = require( 'vue' );
const { CdxMessage, CdxRadio, CdxToggleSwitch } = require( '../../codex.js' );

/**
 * CdxMessage (and CdxRadio, CdxToggleSwitch) demo.
 */
// @vue/component
module.exports = {
	name: 'MessageDemo',
	components: {
		CdxMessage,
		CdxRadio,
		CdxToggleSwitch
	},
	setup() {
		const messageType = ref( 'notice' );
		const radios = [ 'notice', 'warning', 'error', 'success' ];
		const switchValue = ref( false );

		return {
			messageType,
			radios,
			switchValue
		};
	}
};
</script>

<style lang="less">
// To access Codex design tokens and mixins inside Vue files, import MediaWiki skin variables.
@import 'mediawiki.skin.variables.less';

.ext-codexexample-message-demo {
	&__type {
		margin-top: 0;
	}

	&__type,
	&__layout {
		margin-bottom: @spacing-100;
	}
}
</style>
